////
vim:set ts=4 sw=4 syntax=asciidoc noet:
SPDX-License-Identifier: GPL-2.0-only
////
:doctype: manpage
:manmanual: mkinitcpio manual

= lsinitcpio(1)


== Name

lsinitcpio - Examine an initramfs

== Synopsis

_lsinitcpio_ [action] [options] _image_

== Description

Examines the contents of an initcpio image. Without any options, _lsinitcpio_
simply lists the contents of an image.

== Actions

*-a*, *--analyze*::
    Analyze the contents of the specified image and print output in human
    readable form.

*-c*, *--config*::
    Show the configuration file the given image was built with.

*-l*, *--list*::
    List the contents of the archive. This is the default action. Pass the *-v*
    flag for more detailed results.

*-x*, *--extract*::
    Extract the given image to the current working directory.

== Options

*-h*, *--help*::
    Output a short overview of available command-line switches.

*-n*, *--nocolor*::
    Disable color output.

*-V*, *--version*::
    Display version information.

*-v*, *--verbose*::
    Be more verbose. In particular, show long style output when listing
    the contents of an image, and show files as they are extracted when
    the *-x* option is given.

*--cpio*::
    List or extract only the main CPIO image.

*--early*::
    List or extract only the early CPIO image if it exists. See *mkinitcpio(8)*
    for more information about early CPIO images.

== Bugs

Upon writing this man page, there were no noticeable bugs present. Please visit
https://gitlab.archlinux.org/archlinux/mkinitcpio/mkinitcpio/-/issues for an
up to date list.

== See also

*mkinitcpio*(8)

== Authors

mkinitcpio is maintained by the Arch Linux community. Refer to the _AUTHORS_
file for a full list of contributors.

== Copyright

Copyright 🄯 mkinitcpio contributors. GPL-2.0-only.
